VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CLine"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Public m_data As String
Public m_curSize As Long
Public m_size As Long

Public Sub Clear()
    m_data = ""
    m_curSize = 0
End Sub

Public Sub SetData(ByVal data As String)
    If Len(data) > m_size Then
        m_data = Left(data, m_size)
    Else
        m_data = data
    End If
    m_curSize = Len(m_data)
End Sub

Public Sub Append(ByVal data As String)
    If Len(data) + Len(m_data) <= m_size Then
        m_data = m_data & data
        m_curSize = m_curSize + Len(data)
    End If
End Sub

' Strips the string off num letters at the end
Public Sub Pop(ByVal num As Long)
    If num < 0 Then Exit Sub
    If num > m_curSize Then Exit Sub
    
    m_data = Left(m_data, m_curSize - num)
    m_curSize = m_curSize - num
End Sub

Public Sub Resize()
    m_size = (m_WinRect.Right - m_WinRect.Left) / 10
    If m_size < 4 Then m_size = 4
End Sub

Private Sub Class_Initialize()
    m_data = ""
    m_curSize = 0
    Resize
End Sub
